<?php

namespace Database\Seeders;

use App\Models\District;
use App\Models\Province;
use Illuminate\Database\Seeder;

class DistrictSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        Province::all()->each(fn (Province $province) => District::factory(4)->create([
            'province_id' => $province->id,
        ]));
    }
}
